petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatCUSPSetFormat

Sets the storage format of CUSP matrices for a particular operation. Only the MatMult operation can use different GPU storage formats for AIJCUSP matrices.

### Synopsis

    #include "petscmat.h"
    #undef __FUNCT__
    #define __FUNCT__ "MatCUSPSetFormat"
    PetscErrorCode MatCUSPSetFormat(Mat A,MatCUSPFormatOperation op,MatCUSPStorageFormat format)

Not Collective

### Input Parameters

| A | - Matrix of type SEQAIJCUSP
| op | - MatCUSPFormatOperation. SEQAIJCUSP matrices support MAT_CUSP_MULT and MAT_CUSP_ALL. MPIAIJCUSP matrices support MAT_CUSP_MULT_DIAG, MAT_CUSP_MULT_OFFDIAG, and MAT_CUSP_ALL.
| format | - MatCUSPStorageFormat (one of MAT_CUSP_CSR, MAT_CUSP_DIA, MAT_CUSP_ELL)

### Output Parameter

### See Also

MatCUSPStorageFormat, MatCUSPFormatOperation

Level:intermediate
Location:src/mat/impls/aij/seq/seqcusp/aijcusp.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages